/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

a {
    color: #334152;
    text-decoration: none !important;
}

input:focus,
textarea:focus,
select:focus {
    outline: none !important;
    box-shadow: none !important;
    /* м’який синюватий фокус */
}

.elementor-field-group .elementor-field-textual:focus {
    box-shadow: none;
}

.added_to_cart {
    display: none !important;
}

.edit-account {
    flex-wrap: wrap;
}

.woocommerce-MyAccount-content {
    padding: 20px !important;
}

.woocommerce-MyAccount-content-wrapper {
    padding: 0px !important;
}

.woocommerce-notices-wrapper{
    display: none !important;
}

.woocommerce-message {
    font-family: "Mulish", serif;
    color: #5c1e1e;
    border: none !important;
    background-color: white;
}

.points-block {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #faf8f5;
    padding: 30px 40px;
    border-radius: 4px;
    font-family: "Mulish", sans-serif;
    margin-bottom: 24px;
    width: 100%;
}

.points-info input {
    background-color: transparent;
    border: none;
    border-bottom: 1px solid #7a7a78;
    font-family: var(--e-global-typography-text-font-family), Sans-serif;
    font-size: var(--e-global-typography-text-font-size);
    font-weight: var(--e-global-typography-text-font-weight);
    line-height: var(--e-global-typography-text-line-height);
}

.points-label {
    font-size: 18px;
    color: #334152;
    margin-bottom: 10px;
}

.points-value {
    font-size: 32px;
    font-weight: 600;
    color: #344054;
    margin-bottom: 10px;
}

.points-rate {
    font-size: 14px;
    color: #999;
    margin-bottom: 10px;
}

.points-btn,
.points-btn:focus {
    background: transparent;
    border: 1px solid #5c1e1e;
    color: #5c1e1e;
    padding: 10px 20px;
    border-radius: 3px;
    font-size: 16px;
    cursor: pointer;
    transition: 0.2s;
}

.points-btn:hover {
    background: #5c1e1e;
    color: #fff;
}

.block-info-points {
    font-family: "Mulish";
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-right: 12px;
    padding-bottom: 20px;
    border-bottom: 1px solid #d9d9d9;
}

.add_to_cart_button::before {
    display: none !important;
}

.variation-radios {
    display: flex;
    gap: 8px;
    margin-top: 8px;
}

.radio-variation input[type="radio"] {
    display: none;
}

.radio-variation {
    font-family: Mulish;
    font-size: 16px !important;
    font-style: normal;
    font-weight: 600 !important;
    line-height: 150% !important;
    color: #403f3b !important;
}

.radio-variation span {
    display: inline-block;
    padding: 6px 10px;
    border: 1px solid #e4e7ec;
    cursor: pointer;
    transition: 0.2s ease;
    box-shadow: 0 1px 2px 0 rgba(16, 24, 40, 0.05);
}

.radio-variation input[type="radio"]:checked+span {
    border-color: #403f3b;
}

.woocommerce div.product form.cart .variations select {
    display: none;
}

.woocommerce div.product form.cart .variations tr {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.woocommerce div.product form.cart .reset_variations {
    display: none !important;
}

.bp-points-info {
    display: flex;
    align-items: center;
    font-family: "Mulish";
    background: #FAF8F5;
    padding: 15px;
}

.order_details .order-actions-button{
color: white !important;
}

.bp-points-info svg {
    margin-right: 5px;
}

.column-rank_math_seo_details{
    width: 11%!important;
}

#filterPanel.show-panel {
    transform: translateX(0);
}

@media (max-width: 1023.9px) {
    #filterPanel .filter-block {
        overflow-y: auto;
        max-width: 575px;
        background-color: #fff;
    }

    #filterPanel {
        position: fixed;
        top: 0;
        right: 0;
        background: #02020261;
        box-shadow: -2px 0 8px rgba(0, 0, 0, 0.2);
        transform: translateX(-100%);
        transition: transform 0.3s ease-in-out;
        height: 100%;
        width: 100%;
        z-index: 9999;
    }
}

@media (max-width: 575px) {
    #filterPanel .filter-block {
        overflow-y: auto;
        max-width: 80%;
        background-color: #fff;
    }

    .elementor-menu-cart__product-price .quantity {
        display: flex;
        flex-wrap: wrap;
    }
}

@media (min-width: 1024px) {
    #filterPanel {
        background: #fff;
        position: relative;
        transform: none;
        box-shadow: none;
    }
}


@media (max-width: 767px) {
  .elementor-loop-container .swiper-slide {
    width: 50%;
  }
}

@media (min-width: 768px) {
  .elementor-loop-container .swiper-slide {
    width: 33.3%;
  }
}

@media (min-width: 1200px) {
  .elementor-loop-container .swiper-slide {
    width: 25%;
  }
}

@media (min-width: 1440px) {
  .elementor-loop-container .swiper-slide {
     width: 20%;
  }
}


